function IsConsumableItemApi(value)
    local result = false
    if value == 109624 then -- Broken Frostweed Stem
        result = true
    elseif value == 109125 then --fireweed
        result = false
    elseif value == 108353 then -- Adder's Tongue Stem
        result = true
    elseif value == 8846 then -- gromsblood
        result = false
    elseif value == 79010 then -- Snow Lily
        result = false 
    elseif value == 124105 then -- Starlight Rose
        result = false
    end
    return result
end


function GetProfessionsApi()
    return 1,2,3,4,5,6
end

function GetProfessionsEnchApi()
    return 3,1,2,4,5,6,7
end

function GetProfessionInfoApi(index)
    if index == 1 then
        return "Inscription", nil, 367, 700, nil,nil,773,nil,nil, nil
    end
    if index == 2 then
        return "Jewelcrafting", nil, 125, 700, nil,nil,755,nil,nil, nil
    end
	if index == 3 then
        return "Enchanting", nil, 421, 700, nil,nil,333,nil,nil, nil
    end
	if index == 4 then
        return "Enchanting", nil, 1, 700, nil,nil,333,nil,nil, nil
    end
	if index == 10 then
        return "Enchanting", nil, 367, 700, nil,nil,333,nil,nil, nil
    end
	if index == 9 then
        return "Inscription", nil, 1, 700, nil,nil,333,nil,nil, nil
    end
	return "!Unknow?", nil, 125, 700, nil,nil,9999,nil,nil, nil
end

_DPContainerMockApi = {}
_DPContainerMockApi.__index = _DPContainerMockApi

setmetatable(_DPContainerMockApi, {
  __call = function (cls)
    return cls.new()
  end,
})

function _DPContainerMockApi.new()
    local self = setmetatable({}, _DPContainerMockApi)
    self:_init()
    return self
end

function _DPContainerMockApi._init(self)
	self.count = nil
	self.sellable = nil
	self.item_id = nil
end

function _DPContainerMockApi.setBagSlot(self, item_id, count, sellable)
	self.count = count
	self.sellable = sellable
	self.item_id = item_id
end

function _DPContainerMockApi.returnBagSlot(self, i, j)
	if i == 1 and j == 1 then 
		return nil, self.count, nil, nil, nil, nil, nil, nil, self.sellable, self.item_id
	end
	if i == 3 and j == 12 then
		return nil, self.count, nil, nil, nil, nil, nil, nil, self.sellable, self.item_id
	end
	return nil, nil, nil, nil, nil, nil, nil, nil, nil, nil
end

bagClass = _DPContainerMockApi()


function GetSpellBookItemInfoApi(name)
	if name == _DPSpellApi(_DPSpellApi.spellMassMillAethril):getSpellName() then
		return "Found", "Found"
	end
	 
	if name == _DPSpellApi(_DPSpellApi.spellMassMillYserallineSeeds):getSpellName() then
		return "Found", "Found"
	end
	if name == _DPSpellApi(_DPSpellApi.spellMassMillFjarnskaggl):getSpellName() then
		return "Found", "Found"
	end
	return nil
end

function GetSpellBookItemInfoAllApi(name)
	if name == _DPSpellApi(_DPSpellApi.spellMassMillAethril):getSpellName() then
		return "Found", "Found"
	end
	 
	if name == _DPSpellApi(_DPSpellApi.spellMassMillDreamleaf):getSpellName() then
		return "Found", "Found"
	end
	
	if name == _DPSpellApi(_DPSpellApi.spellMassMillFelwort):getSpellName() then
		return "Found", "Found"
	end
	
	if name == _DPSpellApi(_DPSpellApi.spellMassMillFjarnskaggl):getSpellName() then
		return "Found", "Found"
	end
	 
	if name == _DPSpellApi(_DPSpellApi.spellMassMillFoxflower):getSpellName() then
		return "Found", "Found"
	end
	
	if name == _DPSpellApi(_DPSpellApi.spellMassMillStarlightRose):getSpellName() then
		return "Found", "Found"
	end
	
	if name == _DPSpellApi(_DPSpellApi.spellMassMillYserallineSeeds):getSpellName() then
		return "Found", "Found"
	end
	return nil
end